> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List enterprise blueprint files

## Permissions

Requires a service user with the `ManageAccountSnapshots` permission at the enterprise level.


## OpenAPI

````yaml v3-openapi.yaml GET /v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files
openapi: 3.1.0
info:
  description: Devin v3 API with Service User authentication and RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files:
    get:
      tags:
        - snapshot_setup
      summary: List enterprise blueprint files
      operationId: >-
        list_enterprise_blueprint_files_v3beta1_enterprise_snapshot_setup_blueprints__blueprint_id__files_get
      parameters:
        - in: path
          name: blueprint_id
          required: true
          schema:
            title: Blueprint Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlueprintFileList'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    BlueprintFileList:
      description: List envelope for blueprint files.
      properties:
        data:
          items:
            $ref: '#/components/schemas/BlueprintFile'
          title: Data
          type: array
      required:
        - data
      title: BlueprintFileList
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    BlueprintFile:
      description: Public ``BlueprintFile`` resource shape.
      properties:
        blueprint_id:
          title: Blueprint Id
          type: string
        created_at:
          title: Created At
          type: integer
        env_var_name:
          title: Env Var Name
          type: string
        file_id:
          title: File Id
          type: string
        name:
          title: Name
          type: string
        size_bytes:
          title: Size Bytes
          type: integer
        updated_at:
          title: Updated At
          type: integer
      required:
        - file_id
        - blueprint_id
        - name
        - env_var_name
        - size_bytes
        - created_at
        - updated_at
      title: BlueprintFile
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Service User credential (prefix: cog_)'
      scheme: bearer
      type: http

````